# std::hash< string > Struct Template Reference

std::hash specialization for string. More...

Inheritance diagram for std::hash< string >:
[legend]

List of all members.

## Public Types

- typedef string argument_type
- typedef size_t result_type

## Public Member Functions

- size_t operator() (const string &__s) const

## Detailed Description

### template<>
struct std::hash< string >

std::hash specialization for string.

Definition at line 2886 of file basic_string.h.

## Member Typedef Documentation

typedef string std::unary_function< string , size_t >::argument_type `[inherited]`

`argument_type` is the type of the /// argument (no surprises here)

Definition at line 102 of file stl_function.h.

typedef size_t std::unary_function< string , size_t >::result_type `[inherited]`

`result_type` is the return type

Definition at line 105 of file stl_function.h.

The documentation for this struct was generated from the following file:

- basic_string.h